public StraightDimensionSetAttributes(Dynamic.Tekla.Structures.Drawing.ModelObject modelObject) { var args = new object[1]; args[0] = Dynamic.Tekla.Structures.Drawing.ModelObject_.GetTSObject(modelObject); this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.StraightDimensionSet.StraightDimensionSetAttributes", args); }
public Mark(Dynamic.Tekla.Structures.Drawing.ModelObject modelObject) { var args = new object[1]; args[0] = Dynamic.Tekla.Structures.Drawing.ModelObject_.GetTSObject(modelObject); this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Mark", args); }
public MarkAttributes(Dynamic.Tekla.Structures.Drawing.ModelObject modelObject, System.String AttributesFile) { var args = new object[2]; args[0] = Dynamic.Tekla.Structures.Drawing.ModelObject_.GetTSObject(modelObject); args[1] = AttributesFile; this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Mark.MarkAttributes", args); }
public LevelMark(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point InsertionPoint, Dynamic.Tekla.Structures.Geometry3d.Point BasePoint, Dynamic.Tekla.Structures.Drawing.PlacingBase Placing, Dynamic.Tekla.Structures.Drawing.ModelObject modelObject, Dynamic.Tekla.Structures.Drawing.LevelMark.LevelMarkAttributes Attributes) { var args = new object[6]; args[0] = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View); args[1] = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(InsertionPoint); args[2] = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(BasePoint); args[3] = Dynamic.Tekla.Structures.Drawing.PlacingBase_.GetTSObject(Placing); args[4] = Dynamic.Tekla.Structures.Drawing.ModelObject_.GetTSObject(modelObject); args[5] = Dynamic.Tekla.Structures.Drawing.LevelMark.LevelMarkAttributes_.GetTSObject(Attributes); this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.LevelMark", args); }